Subject: Re: bug#7291: 24.0.50; `non-essential' is incomprehensible

From: Michael Albinus <[email-masked]>
Date: Sat, 30 Oct 2010 19:53:54 +0200

"Drew Adams" <[email-masked]> writes:

> One last attempt to get past the mauvaise foi...
>
> This var is a `PLEASE DO NOT DISTURB' sign for the user's hotel
> room.
>
> Nothing prevents firemen from entering.  Maids know that their 
> services are not important enough to ignore a do-not-disturb |
> no-molestar | ne-pas-deranger | nao-perturbe | non-disturbare 
> request.  This knowledge is built into their code.
>
> Firemen do not even notice the sign.  Maids actively keep an
> eye out for it - that's part of their job.
>
> The user is a tempermental, often drunk&drugged musician who
> has a manager.  The manager code hangs the sign on the door
> when appropriate.  The maid code recognizes the sign and is
> polite enough not to enter to perform routine housekeeping.
>
> Icomplete is a musician manager.  Tramp is a hotel maid.

I insist in being informed in German. "Bitte nicht stören". Otherwise, I
do whatever I want to do.

> (defvar do-not-disturb nil
>   "Non-nil is a sign to avoid disturbing the user.
> Code that performs a relatively unimportant action that might
> disturb the user can check this variable and choose not to act
> when it is non-nil.

It is not about "disturbing". If non-essential^W^W do-not-disturb is
non-nil, Tramp does not open a remote connection. That's all until now,
and that's the reason I have asked for this kind of variable.

> The week after next we will study Homeland Security Advisory System
> threat levels: `severe', `high', `significant', `general', and `low'.

Oh, surprise. I thought there's only the threat level `severe'.

Best regards, Michael.